package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaCatInd;

public class RenderPtovtaCatInd implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		PtovtaCatInd pto = (PtovtaCatInd) o;

		Listcell lc = new Listcell(pto.getCategoria().getDesccategoria());
		lc.setParent(lstm);

		lc = new Listcell(pto.getUsuarioBloqueado().getName());
		lc.setParent(lstm);
		
		lc = new Listcell(pto.getEmpresa().getNombempresa());
		lc.setParent(lstm);

        lc = new Listcell(pto.getIndTotalBus() != null ? pto.getIndTotalBus() ? "Sim" : "Não" : "Não");
        lc.setParent(lstm);
        
        lc = new Listcell(pto.getIndEmbarcada() != null ? pto.getIndEmbarcada() ? "Sim" : "Não" : "Não");
        lc.setParent(lstm);
        
		
		lstm.setAttribute("data", pto);

	}

}
